devel/go-bytebufferpool - The NetBSD Packages Collection

Implementation of a pool of byte buffers with anti-memory-waste protection for Go

go-bytebufferpool is an implementation of a pool of byte buffers
with anti-memory-waste protection.
The pool may waste limited amount of memory due to fragmentation.
This amount equals to the maximum total size of the
byte buffers in concurrent use.

Build dependencies

lang/go116 pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgo-bytebufferpool-1.0.0nb12.tgz
NetBSD 8.0earmv7hfgo-bytebufferpool-1.0.0nb9.tgz
NetBSD 8.0earmv7hfgo-bytebufferpool-1.0.0nb14.tgz
NetBSD 8.0i386go-bytebufferpool-1.0.0nb9.tgz
NetBSD 8.0i386go-bytebufferpool-1.0.0nb12.tgz
NetBSD 8.0i386go-bytebufferpool-1.0.0nb14.tgz
NetBSD 8.0x86_64go-bytebufferpool-1.0.0nb9.tgz
NetBSD 9.0aarch64go-bytebufferpool-1.0.0nb14.tgz
NetBSD 9.0aarch64go-bytebufferpool-1.0.0nb9.tgz
NetBSD 9.0aarch64go-bytebufferpool-1.0.0nb12.tgz
NetBSD 9.0earmv7hfgo-bytebufferpool-1.0.0nb14.tgz
NetBSD 9.0earmv7hfgo-bytebufferpool-1.0.0nb9.tgz
NetBSD 9.0earmv7hfgo-bytebufferpool-1.0.0nb12.tgz
NetBSD 9.0i386go-bytebufferpool-1.0.0nb9.tgz
NetBSD 9.0i386go-bytebufferpool-1.0.0nb12.tgz
NetBSD 9.0i386go-bytebufferpool-1.0.0nb14.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb12.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb12.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb13.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb12.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb9.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb14.tgz
NetBSD 9.0x86_64go-bytebufferpool-1.0.0nb14.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.